import { useContext } from "react";
import { ConfigProvider } from "antd";
const usePrefixCls = (tag, props)=>{
    const { getPrefixCls } = useContext(ConfigProvider.ConfigContext) || {};
    if ("ConfigContext" in ConfigProvider) return (null == getPrefixCls ? void 0 : getPrefixCls(tag, null == props ? void 0 : props.prefixCls)) || '';
    {
        var _props_prefixCls;
        const prefix = null != (_props_prefixCls = null == props ? void 0 : props.prefixCls) ? _props_prefixCls : 'ant-';
        return "".concat(prefix).concat(null != tag ? tag : '');
    }
};
export { usePrefixCls };
